import { select } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

// Body
const body = g.append('circle')
  .attr('r', 70)
  .attr('fill', 'brown');

// Head
const head = g.append('circle')
  .attr('r', 50)
  .attr('fill', 'brown')
  .attr('transform', 'translate(0, -80)');

// Ears
const ear1 = g.append('circle')
  .attr('r', 15)
  .attr('fill', 'pink')
  .attr('transform', 'translate(-25, -80)');

const ear2 = g.append('circle')
  .attr('r', 15)
  .attr('fill', 'pink')
  .attr('transform', 'translate(25, -80)');

// Eyes
const eye1 = g.append('circle')
  .attr('r', 8)
  .attr('fill', 'white')
  .attr('transform', 'translate(-15, -65)');

const pupil1 = g.append('circle')
  .attr('r', 4)
  .attr('fill', 'black')
  .attr('transform', 'translate(-15, -65)');

const eye2 = g.append('circle')
  .attr('r', 8)
  .attr('fill', 'white')
  .attr('transform', 'translate(15, -65)');

const pupil2 = g.append('circle')
  .attr('r', 4)
  .attr('fill', 'black')
  .attr('transform', 'translate(15, -65)');

// Nose
const nose = g.append('circle')
  .attr('r', 4)
  .attr('fill', 'pink')
  .attr('transform', 'translate(0, -60)');

// Whiskers
const whisker1 = g.append('line')
  .attr('x1', -20)
  .attr('y1', -55)
  .attr('x2', -60)
  .attr('y2', -55)
  .attr('stroke', 'black')
  .attr('stroke-width', 2);

const whisker2 = g.append('line')
  .attr('x1', -20)
  .attr('y1', -50)
  .attr('x2', -60)
  .attr('y2', -45)
  .attr('stroke', 'black')
  .attr('stroke-width', 2);

const whisker3 = g.append('line')
  .attr('x1', -20)
  .attr('y1', -45)
  .attr('x2', -60)
  .attr('y2', -35)
  .attr('stroke', 'black')
  .attr('stroke-width', 2);

const whisker4 = g.append('line')
  .attr('x1', 20)
  .attr('y1', -55)
  .attr('x2', 60)
  .attr('y2', -55)
  .attr('stroke', 'black')
  .attr('stroke-width', 2);

const whisker5 = g.append('line')
   .attr('x1' , 20)
   .attr('y1', -50)
   .attr('x2', 60)
   .attr('y2', -45)
   .attr('stroke', 'black')
   .attr('stroke-width', 2);

const whisker6 = g.append('line')
   .attr('x1' ,-20)
   .attr('y1', -45)
   .attr('x2', -60)
   .attr('y2', -35)
   .attr('stroke', 'black')
   .attr('stroke-width', 2);
